Functor for turning HIL transfer functions into SIL transfer functions

### Parameters

`CFG : InferModules.ProcCfg.S`
`HilConfig : HilConfig`
`MakeTransferFunctions : InferModules.TransferFunctions.MakeHIL`

### Signature

`module TransferFunctions : module type of sig ... end`
`module CFG : module type of TransferFunctions.CFG`
`module Domain : module type of sig ... end`
`type extras``= TransferFunctions.extras```
`val exec_instr : Domain.astate ‑> extras InferModules.ProcData.t ‑> CFG.Node.t ‑> InferIR.Sil.instr ‑> Domain.astate`
`val pp_session_name : CFG.Node.t ‑> Format.formatter ‑> unit`